--[[
FlieglTrailerUtil

Utility for my Fliegl Trailers

Author:		Ifko[nator]
Datum:		04.10.2022
Version:	v1.0

History:	v1.0 @04.10.2022 - initial implementation in FS 22
]]

FlieglTrailerUtil = {};
FlieglTrailerUtil.currentModName = g_currentModName;

function FlieglTrailerUtil.getDebugPriority(xmlFile, path)
	return Utils.getNoNil(getXMLInt(xmlFile, path), 0);
end;

function FlieglTrailerUtil.getSpecByName(self, specName, currentModName)
    local spec = self["spec_" .. Utils.getNoNil(currentModName, FlieglTrailerUtil.currentModName) .. "." .. specName];

	if spec ~= nil then
        return spec;
    end;

    return self["spec_" .. specName];
end;

function FlieglTrailerUtil.printError(errorMessage, isWarning, isInfo, luaName)
	local prefix = "::ERROR:: ";
	
	if isWarning then
		prefix = "::WARNING:: ";
	elseif isInfo then
		prefix = "::INFO:: ";
	end;
	
	print(prefix .. "from the " .. luaName .. ".lua: " .. tostring(errorMessage));
end;

function FlieglTrailerUtil.printDebug(debugMessage, priority, addString, luaName)
	if priority >= 1 then
		local prefix = "";
		
		if addString then
			prefix = "::DEBUG:: from the " .. luaName .. ".lua: ";
		end;
		
		--print(prefix .. tostring(debugMessage));
	end;
end;

function FlieglTrailerUtil.renderText(posX, posY, textSize, string, priority)
	if priority >= 1 then
		renderText(posX, posY, getCorrectTextSize(textSize), tostring(string));
	end;
end;